Bug 682560 - SELinux is preventing /usr/libexec/telepathy-idle from 'name_connect' accesses on the tcp_socket port 7000.
Summary: SELinux is preventing /usr/libexec/telepathy-idle from 'name_connect' accesse...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:ff9707fe930...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-06 18:14 UTC by Josh Boyer
Modified: 2011-03-10 03:10 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.9.16-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-10 03:10:49 UTC


Attachments (Terms of Use)

Description Josh Boyer 2011-03-06 18:14:31 UTC
SELinux is preventing /usr/libexec/telepathy-idle from 'name_connect' accesses on the tcp_socket port 7000.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that telepathy-idle should be allowed name_connect access on the port 7000 tcp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep telepathy-idle /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:telepathy_idle_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:gatekeeper_port_t:s0
Target Objects                port 7000 [ tcp_socket ]
Source                        telepathy-idle
Source Path                   /usr/libexec/telepathy-idle
Port                          7000
Host                          (removed)
Source RPM Packages           telepathy-idle-0.1.8-1.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.15-2.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38-0.rc6.git6.1.fc15.i686.PAE #1
                              SMP Sat Feb 26 01:45:40 UTC 2011 i686 i686
Alert Count                   6
First Seen                    Sun 06 Mar 2011 01:08:39 PM EST
Last Seen                     Sun 06 Mar 2011 01:11:04 PM EST
Local ID                      95b494ba-b5f3-4a1a-aa25-94f120fee386

Raw Audit Messages
type=AVC msg=audit(1299435064.284:146): avc:  denied  { name_connect } for  pid=27952 comm="telepathy-idle" dest=7000 scontext=unconfined_u:unconfined_r:telepathy_idle_t:s0-s0:c0.c1023 tcontext=system_u:object_r:gatekeeper_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1299435064.284:146): arch=i386 syscall=socketcall success=no exit=EACCES a0=3 a1=bfc2acb0 a2=806b66c a3=7 items=0 ppid=1 pid=27952 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm=telepathy-idle exe=/usr/libexec/telepathy-idle subj=unconfined_u:unconfined_r:telepathy_idle_t:s0-s0:c0.c1023 key=(null)

Hash: telepathy-idle,telepathy_idle_t,gatekeeper_port_t,tcp_socket,name_connect

audit2allow

#============= telepathy_idle_t ==============
allow telepathy_idle_t gatekeeper_port_t:tcp_socket name_connect;

audit2allow -R

#============= telepathy_idle_t ==============
allow telepathy_idle_t gatekeeper_port_t:tcp_socket name_connect;

Comment 1 Miroslav Grepl 2011-03-07 23:56:17 UTC
Fixed in the next F15 release.

selinux-policy-3.9.16-1.fc15

Comment 2 Dominick Grift 2011-03-08 07:12:47 UTC
"Freenode's standard port is 6667 but listen's for SSL connections on ports 7000 and 7070."

wikipedia:

6660–6664 	TCP 		Internet Relay Chat (IRC) 	Unofficial
6665–6669 	TCP 		Internet Relay Chat (IRC) 	Official
6679 	TCP 		IRC SSL (Secure Internet Relay Chat)—often used 	Unofficial
6697 	TCP 		IRC SSL (Secure Internet Relay Chat)—often used

Not an official irc server port but i guess unofficially it is somehow because linknet also uses tcp:7000 for SSL..

Comment 3 Fedora Update System 2011-03-08 15:41:21 UTC
selinux-policy-3.9.16-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-1.fc15

Comment 4 Fedora Update System 2011-03-10 03:10:16 UTC
selinux-policy-3.9.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.